Foxit PDF Conversion SDK

Static Public Member Functions | List of all members
PDFConversionSDK.Library Class Reference

## Static Public Member Functions
static | GetVersion ()
| Get the version of current Foxit PDF Conversion SDK library. More...
static | Initialize (sn, key)
| Initialize Foxit PDF Conversion SDK Library, with valid license information. More...
static | Reinitialize ()
| Re-initialize Foxit PDF Conversion SDK Library. More...
static | Release ()
| Release all resource allocated by Foxit PDF Conversion SDK Library. More...
static | SetConvertCheckCallback (convert_check_callback)
| Set the callback object to check the PDF to Office conversion conditions. More...

## Detailed Description

This class represents the library management. It contains functions to initialize/re-initialize/release Foxit PDF Conversion SDK library, and also contains functions for global use.
Any application should load Foxit PDF Conversion SDK by function Library.Initialize before calling any other Foxit PDF Conversion SDK functions. When there is no need to use Foxit PDF Conversion SDK any more, please call function Library.Release.
Functions in Foxit PDF Conversion SDK may throw exception when some error occurs. User can catch these exceptions and check the error code with values starting from PDFConversionSDK.e_ErrFile to know more about what error occurs.

Note
  During the life-cycle of an application, Library.Initialize and Library.Release should be called in pair and can only be called once. Once Library.Release is called during the life-cycle of an application, Foxit PDF Conversion SDK cannot be initialized any more in the life-cycle of the application. Before Library.Release is called, if user wants to re-initialize Foxit PDF Conversion SDK, please refer to function Library.Reinitialize.

## Member Function Documentation

## ◆ GetVersion()

static PDFConversionSDK.Library.GetVersion | ( |  | ) |
| static

Get the version of current Foxit PDF Conversion SDK library.

Returns
  Version string.

## ◆ Initialize()

static PDFConversionSDK.Library.Initialize | ( | sn | ,
|  | key |
| ) |  |
| static

Initialize Foxit PDF Conversion SDK Library, with valid license information.

During the life-cycle of an application, this function can only be called once and should be called first before any other functions in Foxit PDF Conversion SDK can be called.
Once function Library.Release is called, Foxit PDF Conversion SDK library cannot be initialized any more in the life-cycle of the application.

Parameters

  [in] | sn | String of sn information, which can be retrieved from "SN=" part in key file "gsdk_sn.txt" or "rdk_sn.txt".
  [in] | key | String of key information, which can be retrieved from "Sign=" part in key file "gsdk_key.txt" or "rdk_key.txt".

Returns
  PDFConversionSDK.e_ErrSuccess means success.
  PDFConversionSDK.e_ErrInvalidLicense means input license information is invalid.
  PDFConversionSDK.e_ErrParam means parameter sn or key is an empty string.
  For more information about error code values, please refer to values starting from PDFConversionSDK.e_ErrSuccess.

## ◆ Reinitialize()

static PDFConversionSDK.Library.Reinitialize | ( |  | ) |
| static

Re-initialize Foxit PDF Conversion SDK Library.

When user meets out-of-memory error or user wants to re-initialize Foxit PDF Conversion SDK library before function Library.Release is called, user can call this function to re-initialize Foxit PDF Conversion SDK Library.
Once function Library.Release is called, Foxit PDF Conversion SDK library cannot be initialized any more in the life-cycle of the application.

Returns
  PDFConversionSDK.e_ErrSuccess means success. For more information about error code values, please refer to values starting from PDFConversionSDK.e_ErrSuccess.

## ◆ Release()

static PDFConversionSDK.Library.Release | ( |  | ) |
| static

Release all resource allocated by Foxit PDF Conversion SDK Library.

User should call this function to release all memory blocks allocated by the library.
Once this fucntion is called, Foxit PDF Conversion SDK library cannot be initialized any more in the life-cycle of the application.

Returns
  None.

## ◆ SetConvertCheckCallback()

static PDFConversionSDK.Library.SetConvertCheckCallback | ( | convert_check_callback |  | ) |
| static

Set the callback object to check the PDF to Office conversion conditions.

This method allows you to specify a custom convert check callback that will be called to evaluate whether the conversion from PDF to Office should proceed, based on user-defined logic , when the required permissions for converting the PDF documents are not met.

Parameters

  [in] | convert_check_callback | A customized convert check callback which is implemented based on callback class ConvertCheckCallback. If this is NULL, customized convert check callback will be removed and default convert check will be used instead.

Returns
  true means success, while false means failure.